Bug 478743 - Review Request: saga - SAGA is a free, hybrid, cross-platform GIS software
Review Request: saga - SAGA is a free, hybrid, cross-platform GIS software
Status: CLOSED DUPLICATE of bug 737401
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-01-04 10:08 EST by Balint Cristian
Modified: 2011-10-04 20:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 17:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balint Cristian 2009-01-04 10:08:20 EST
Spec URL: http://openrisc.rdsor.ro/saga.spec
SRPM URL: http://openrisc.rdsor.ro/saga-2.0.3-1.fc11.src.rpm

Description: 
SAGA - short hand for "System for Automated Geoscientific Analyses"
is a free, hybrid, cross-platform GIS software.
Comment 1 Jerry James 2009-01-19 12:09:38 EST
I'll review this.  I tried building it on F-10, and got the following output at the end of the rpmbuild run:

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib64/libsaga_api.a
   /usr/lib64/saga/libcontrib_a_perego.a
   /usr/lib64/saga/libgeostatistics_grid.a
   /usr/lib64/saga/libgeostatistics_kriging_variogram.a
   /usr/lib64/saga/libgeostatistics_points.a
   /usr/lib64/saga/libgrid_analysis.a
   /usr/lib64/saga/libgrid_calculus.a
   /usr/lib64/saga/libgrid_discretisation.a
   /usr/lib64/saga/libgrid_filter.a
   /usr/lib64/saga/libgrid_gridding.a
   /usr/lib64/saga/libgrid_spline.a
   /usr/lib64/saga/libgrid_tools.a
   /usr/lib64/saga/libgrid_visualisation.a
   /usr/lib64/saga/libio_esri_e00.a
   /usr/lib64/saga/libio_gps.a
   /usr/lib64/saga/libio_grid.a
   /usr/lib64/saga/libio_grid_gdal.a
   /usr/lib64/saga/libio_grid_grib2.a
   /usr/lib64/saga/libio_grid_image.a
   /usr/lib64/saga/libio_shapes.a
   /usr/lib64/saga/libio_shapes_dxf.a
   /usr/lib64/saga/liblectures_introduction.a
   /usr/lib64/saga/libpj_georeference.a
   /usr/lib64/saga/libpj_proj4.a
   /usr/lib64/saga/librecreations_fractals.a
   /usr/lib64/saga/librecreations_games.a
   /usr/lib64/saga/libshapes_grid.a
   /usr/lib64/saga/libshapes_lines.a
   /usr/lib64/saga/libshapes_points.a
   /usr/lib64/saga/libshapes_polygons.a
   /usr/lib64/saga/libshapes_tools.a
   /usr/lib64/saga/libsim_cellular_automata.a
   /usr/lib64/saga/libsim_ecosystems_hugget.a
   /usr/lib64/saga/libsim_fire_spreading.a
   /usr/lib64/saga/libsim_hydrology.a
   /usr/lib64/saga/libta_channels.a
   /usr/lib64/saga/libta_hydrology.a
   /usr/lib64/saga/libta_lighting.a
   /usr/lib64/saga/libta_morphometry.a
   /usr/lib64/saga/libta_preprocessor.a
   /usr/lib64/saga/libta_profiles.a
   /usr/lib64/saga/libtable_calculus.a
   /usr/lib64/saga/libtable_tools.a
   /usr/lib64/saga/libtin_tools.a

Since you built shared libraries, too, you probably don't want to build the static libraries.  I suggest passing --disable-static to %configure.  I also see that you are installing the *.la files.  Normally, this should not be done; see https://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries.  Is there some reason for installing those files in this case?

I'll do a full review shortly.
Comment 2 Jerry James 2009-01-19 12:17:59 EST
Sorry, I read the spec file incorrectly.  You are excluding the .la files.  So I've added --disable-static to my copy of the spec file to get a clean build and will base a review on that.
Comment 3 Jerry James 2009-01-19 14:15:17 EST
It turns out that adding --disable-static isn't enough.  Your attempt to use the system libtool wasn't quite right.  You need to pass the -f flag to autoreconf, and throw away the first of your two sed invocations.  That it, the %build section should contain this:

autoreconf -i -f
sed -i -e 's|SG_T(\"LD_LIBRARY_PATH\")|SG_T(\"%{_libdir}\")|g' \
          src/saga_core/saga_api/module_library.cpp

%configure --enable-unicode --disable-static

make %{?_smp_mflags}

Even then, rpmlint shows that there are still some problems in this package.  This is what I get:

saga.x86_64: E: standard-dir-owned-by-package /usr/bin
saga.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsaga_api.so.0.0.0
saga.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsaga_api.so.0.0.0
saga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/saga-2.0.3/AUTHORS
saga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/saga-2.0.3/NEWS
saga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/saga-2.0.3/ChangeLog
saga.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/saga-2.0.3/README
saga.x86_64: E: no-ldconfig-symlink /usr/lib64/libsaga_api.so.0.0.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_richtext-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_aui-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_xrc-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_qa-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_html-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_gtk2u_adv-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_baseu_xml-2.8.so.0
saga.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsaga_api.so.0.0.0 /usr/lib64/libwx_baseu_net-2.8.so.0

Finally, I see in the build output that there are a number of incorrect printf directives in this program.  They may cause no harm, but it is probably worth checking whether they will cause any trouble.  Look for warnings of the form:

warning: format '%FLAG' expects type 'TYPE1' but argument N has type 'TYPE2'

Some of those look like they will print integers incorrectly on 64-bit platforms.

Can you fix all of this and roll a new package so I don't get confused as to what you have and what I changed?  Thanks.  If you need a hand with any of it, let me know.
Comment 4 Jerry James 2009-02-23 10:44:23 EST
Ping.
Comment 5 Jerry James 2009-02-26 09:53:17 EST
Let me know when you are ready to proceed with this review.
Comment 6 Jerry James 2009-05-13 12:47:25 EDT
This review is stalled.  Please respond with one week.
Comment 7 Jerry James 2009-05-21 17:01:06 EDT
The submitter has not responded.  I am closing this bug.
Comment 8 Ken Dreyer 2011-10-04 20:26:10 EDT

*** This bug has been marked as a duplicate of bug 737401 ***

Note You need to log in before you can comment on or make changes to this bug.